/*hcap.socket.openTcpDaemon({
	"port" : 9555,
	"onSuccess" : function() {
		logConsole("openTcpDaemon onSuccess");
	},
	"onFailure" : function(f) {
		logConsole("openTcpDaemon onFailure : errorMessage = " + f.errorMessage);
	}
});
*/
hcap.bluetooth.setBluetoothSoundSync({
	"enable" : true,
	"onSuccess" : function() {
		//console.log("onSuccess");
	},
	"onFailure" : function(f) {
		console.log("onFailure : errorMessage = " + f.errorMessage);
	}
});

//Marriott Stream key
hcap.key.addKeyItem({
        "keycode": 0x03fc649d,
        "virtualKeycode":hcap.key.Code.RES_5,
        "attribute":3,
        "onSuccess":function(){
            //console.log("Add 3rd party RES_5 key item: OK");
        },
        "onFailure":function(param){
            logConsole("Add RES_5 key item: ERROR " + param.errorMessage);
        }
});


add_netflix_key();

function add_netflix_key() { //World Cinema Remote
    hcap.key.addKeyItem({
        "keycode": 0xd32c00ff,
        "virtualKeycode":hcap.key.Code.POWER,
        "attribute":0,
        "onSuccess":function(){
            //console.log("Add 3rd party POWER key item: POWER OK");
        },
        "onFailure":function(param){
            logConsole("Add POWER key item: ERROR " + param.errorMessage);
        }
    });

    hcap.key.addKeyItem({
        "keycode": 0xd32c01fe,
        "virtualKeycode":hcap.key.Code.RES_6,
        "attribute":3,
        "onSuccess":function(){
            //logConsole("Add 3rd party RES_6 key item: OK");
        },
        "onFailure":function(param){
            console.log("Add RES_6 key item: ERROR " + param.errorMessage);
        }
    });// Sonifi Remote
    hcap.key.addKeyItem({
        "keycode": 0x03fc00ff,
        "virtualKeycode":hcap.key.Code.POWER,
        "attribute":0,
        "onSuccess":function(){
            //logConsole("Add 3rd party POWER key item: POWER OK");
        },
        "onFailure":function(param){
            logConsole("Add POWER key item: ERROR " + param.errorMessage);
        }
    });

    //Marriot Netflix
    hcap.key.addKeyItem({
        "keycode": 0x03fc639c,
        "virtualKeycode":hcap.key.Code.RES_6,
        "attribute":3,
        "onSuccess":function(){
            //console.log("Add 3rd party RES_6 key item: OK");
        },
        "onFailure":function(param){
            logConsole("Add RES_6 key item: ERROR " + param.errorMessage);
        }
    });

}

function setTVtoWarmMode(instantPowerMode) {
    try {
        hcap.property.getProperty({
            "key" : "instant_power",
            "onSuccess" : function(s) {
                if(s.value != instantPowerMode){
                    logConsole('set -=Power Mode=- to ' + instantPowerMode);
                    instantPowerMode = instantPowerMode.toString();
                    hcap.property.setProperty({
                        "key" : "instant_power",
                        "value" : instantPowerMode,
                        "onSuccess" : function(s) {
                            logConsole("SET property: instant_power - SUCCESS");
                            hcap.power.setPowerMode({
                                "mode": hcap.power.PowerMode.WARM,
                                "onSuccess": function () {
                                    logConsole("setPowerMode - onSuccess");
                                },
                                "onFailure": function (f) {
                                    logConsole("setPowerMode - onFailure : errorMessage = " + f.errorMessage);
                                }
                            });
                        },
                        "onFailure" : function(f) {
                            logConsole("SET property: instant_power - FAIL");
                            logConsole("onFailure : errorMessage = " + f.errorMessage);
                        }
                    });
                }
            },
            "onFailure" : function(f) {
                logConsole("GET property: instant_power - FAIL");
                logConsole("onFailure : errorMessage = " + f.errorMessage);
            }
        });
    }catch (e) {
        logConsole(JSON.stringify(e));
    }
}

function getCarousel(file) {
	if (typeof deploymentMode !== "undefined" && deploymentMode == 'unicast') {
		logConsole("{utilities} Can't fetch carousel [" + file +"] while in UNICAST mode");
		return;
	}

    hcap.carousel.requestCacheCarouselData({
        "url": file,
        "onSuccess": function() {
            //logConsole("onSuccess");
        },
        "onFailure": function(f) {
            logConsole("onFailure : errorMessage = " + f.errorMessage);
        }
    });
}

/* Check if the file was cached */
function isCarouselCached(url) {
    hcap.carousel.isCarouselDataCached({
        "url": url,
        "onSuccess": function(s) {
            // If the cachePath is empty go get it.
            if (s.cachePath == "") {
                getCarousel(url);
            }
        },
        "onFailure": function(f) {
            logConsole("onFailure : errorMessage = " + f.errorMessage);
            getCarousel(url);
        }
    });
}
